package cn.ibizlab.eam.core.eam_pf.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.eam.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.eam.core.eam_pf.domain.PFOrg;
/**
 * 关系型数据实体[PFOrg] 查询条件对象
 */
@Slf4j
@Data
public class PFOrgSearchContext extends QueryWrapperContext<PFOrg> {

	private String n_pforgname_like;//[组织名称]
	public void setN_pforgname_like(String n_pforgname_like) {
        this.n_pforgname_like = n_pforgname_like;
        if(!ObjectUtils.isEmpty(this.n_pforgname_like)){
            this.getSearchCond().like("pforgname", n_pforgname_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("pforgname", query)   
            );
		 }
	}
}




